Subject: Re: [Hipsec] How to maintain a registered service?

From: Miriam Esteban <[email-masked]>
Date: Thu, 3 Nov 2005 18:18:53 +0100

On Friday 28 October 2005 17:18, you wrote:
> Hi Miriam,
>
> Thanks for bringing this issue to our attention. More thoughts are
> inlined below:
>
> On Friday 28 October 2005 11:30, Miriam Esteban wrote:
> > Dear all,
> >
> > While rereading the drafts about rvs and registration I have
> > seen that there is nothing defined yet about  how to maintain this
> > registration alive.
>
> I don't think that the specification does not allow a requester to
> prolong a registration.
>
> > I have one proposal for this.
> > This consists of the REQUESTER sending one UPDATE packet with a
> > REG_REQUEST parameter to the REGISTRAR. This packet should be send
> > before the lifetime of the registered service is finished. If not,
> > the REGISTRAR should remove the services registered by the
> > REQUESTER.
>
> +-----+                             +-----+-----+
>
> |     |  UPDATE(REG_REQ:S)          |     |     |
> |
> | RQ  |---------------------------->|  R  |  S  |
> |
> |     |  UPDATE(REG_RESP:S)         |     |     |
> |     |<----------------------------|     |     |
>
> +-----+                             +-----+-----+
>
> > This proposal conflicts with what it is said in
> > draft-ietf-hip-registration-00.
> >
> >    "Moreover, the requester MUST NOT include the
> >    parameter unless the registrar's R1 packet or latest received
> > UPDATE packet has contained a REG_INFO parameter with the requested
> > registration types."
> > --- Talking about REG_REQUEST parameter----
> >
> > Then, this maintaining process as it's explained here should be
> > like it's reported in the draft:
>
> +-----+                             +-----+-----+
>
> |     |  UPDATE(REG_INFO:S)         |     |     |
> |     |<----------------------------|     |     |
> |     |  UPDATE(REG_REQ:S)          |     |     |
> |
> | RQ  |---------------------------->|  R  |  S  |
> |
> |     |  UPDATE(REG_RESP:S)         |     |     |
> |     |<----------------------------|     |     |
>
> +-----+                             +-----+-----+
>
> > I don't see why it's necessary that the REGISTRAR is the one to
> > trigger this process in the service maintainance. Maybe because the
> > lifetimes are supposed quite big and the information about the
> > services might have changed?
>
> It does not conflict. If a registration types is available (i.e.
> announced in R1 or UPDATE) the requester to re-register before the
> registration expire (i.e. prolong it). What is forbidden is to
> register with a service currently unavailable (i.e. not announced in
> R1 or in the last UPDATE.)
>
> In other words, a prolongation via another REG_REQ, REG_REP exchange
> does not require that an UPDATE is sent by the registrar before hand.
>
> If people think that is unclear maybe we need to clarify this point.
>

I misunderstood because the specification said "latest received UPDATE", and the latest UPDATE sent by the registrar usually containes a REG_RESPONSE or a REG_FAILED, not a REG_INFO.

Thanks

Miriam
_______________________________________________
Hipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hipsec